<mamecheat version="1">

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pw@203B=270F</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.md@08AC</action>
      <action>temp1 =maincpu.mb@131A</action>
    </script>
    <script state="run">
      <action>maincpu.md@08AC=0008A1C3|(maincpu.md@08AC BAND ~00FFFFFF)</action>
      <action>maincpu.mb@131A=C3</action> <!-- 1st = Enemy, 2nd = Fire -->
    </script>
    <script state="off">
      <action>maincpu.md@08AC=temp0 </action>
      <action>maincpu.mb@131A=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@205C=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
